Subject: RE: [SIP] Authentication and billing through proxy/re-direct ser ver

From: Neil Deason <[email-masked]>
Date: Tue, 26 Jun 2001 11:05:57 -0400

> I think all would agree that the ideal place for call control
> is in the
> Voice Gateway. It is already stateful and it is the only
> element as you said
> that has a true picture of which calls are connected and
> which are not. The
> problem faced too often, however, is that a particular
> company doesn't want
> to terminate traffic yet they want to bill for the service.
> Another scenario
> might be if a call passes through more than one network
> before termination.
> In that case each network owner might want to charge for use
> of his/her
> network. There must a mechanism within these networks to detect call
> completion.
>
> With that said, I think your point about synchronization is a
> good one and I
> can think of a few ways to solve it.
>
> The best way I believe would be for the call controller to
> SUBSCRIBE to the
> gateway for a BYE event notification. In this way, the call
> controller would
> not terminate any traffic when receiving a BYE but rather
> when receiving a
> NOTIFY with the BYE event specified. All information necessary for the
> Account Stop would then be contained in the body of the
> NOTIFY message. I
> prefer this method since it allows the call controller to remains
> essentially stateless. The problem is that at last count most GW
> manufacturers have yet to fully implement SUBSCRIBE/NOTIFY on their
> gateways.

By 'call controller' do you mean a Proxy being used
for call duration billing and by 'terminate traffic' on a
BYE/NOTIFY you mean generate a minutes used record??
Anyway I can't see how all this helps with your opening
example of where the terminating GW is not owned by the
charging network if no sufficient trust relationship exists?
Regardless of mechanisms that are dreamed up the bottom
line is that SIP is not intended to solve this type of
problem.

> An alternate approach might be to have the call controller
> set a session
> timer between it and the gateway. The time interval can be as
> much as a
> minute since most companies charge on a per minute basis. In
> this scenario
> if indeed the Max-Forwards was set to end at the call
> controller, the call
> controller would close the session thereby ceasing to send
> the re-INVITE
> with the updated session time so the voice gateway would
> defacto close the
> session. The reason I like this event less is because it
> forces the call
> controller to be call stateful.

I think the revised session timer draft will point out
that it is an inapporpriate mechanism for billing
solutions.

> There are a few other mechanisms I can think of but I think
> these two will
> suffice.

The best answer has already been given - use event feeds
from the nework servers into mediation systems. This does
not require making SIP into a billing protocol. As was also
pointed out models that charge on call durations will find
only doing so for PSTN transit and not for the time users
may, or may not, have been sending packets on IP networks
work best. Not a co-incidence.

Cheers,
Neil.
--
Ubiquity Software Corporation, UK        http://www.ubiquity.net

<snip>

_______________________________________________
Sip mailing list  http://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip